Subject: [PATCH] drivers: memory: Introduce Marvell EBU Device Bus driver

From: [email-masked] (Greg KH)
Date: Tue, 23 Apr 2013 12:48:22 -0700

On Tue, Apr 23, 2013 at 04:21:26PM -0300, Ezequiel Garcia wrote:
> From: Ezequiel Garcia <[email-masked]>
> 
> Marvell EBU SoCs such as Armada 370/XP, Orion5x (88f5xxx) and
> Discovery (mv78xx0) supports a Device Bus controller to access several
> kinds of memories and I/O devices (NOR, NAND, SRAM, FPGA).
> 
> This commit adds a driver to handle this controller. So far only
> Armada 370, Armada XP and Discovery SoCs are supported.
> 
> The driver must be registered through a device tree node;
> as explained in the binding document.
> 
> For each child node in the device tree, this driver will:
>   * set timing parameters
>   * register a child device
>   * setup an address decoding window, using the mbus driver
> 
> Keep in mind the address decoding window setup is only a temporary hack.
> This code will be removed from this devbus driver as soon as a proper device
> tree binding for the mbus driver is added.
> 
> Signed-off-by: Ezequiel Garcia <[email-masked]>
> Acked-by: Arnd Bergmann <[email-masked]>
> ---
> Hi Greg,
> 
> This patch Applies on today linux-next.
> I don't know if we are still in time for you to take this
> and merge it into v3.10.
> 
> All of the DT related changes are in linux-next through arm-soc,
> but this driver was left out and, unless you take it, will
> get queued for v3.11. So it's up to you.

It's way too late for new drivers for 3.10, sorry.  I'll hold on to this
and merge it to my trees after 3.10-rc1 is out for inclusion in 3.11.

thanks,

greg k-h